.include "tn25def.inc"

.org 0
;Interrupt vector table
rjmp init

.org OVF1addr							; Interrupt vector for timer1 output compare match A
rjmp adpcm_int

;Main code
init:
; SP
	ldi r16, RAMEND						; SP
	out SPL, r16

; OSC calibration
	ldi	r16, 0x00
	out	EEARH, r16
	ldi	r16, 0x10						; Load oscillator calibration byte
	out	EEARL, r16
	ldi	r16, (1<<EERE)
	out	EECR, r16
	in	r16, EEDR
	ldi	r16, 0x83
	out	OSCCAL, r16	

	rcall adpcm_init

	ldi	ZL, low(adpcm_sound*2)
	ldi	ZH, high(adpcm_sound*2)
	rcall adpcm_play
	
idle:
	ldi r16, (1<<SE)					; Enable sleep
	out MCUCR, r16
	sleep
	rjmp idle


.include "adpcm_decoder_v2.asm"	


adpcm_sound:
;.include "30061.mp3.f8000.adpcm82.6.inc"
;.include "3336.mp3.f4000.adpcm82.6.inc"
// train horn
;.include "32091.mp3.f2000.raw.adpcm332d.inc.smaller"
// jingle
.include "12574.mp3.f4000.raw.adpcm332e.inc.smaller"
